LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbcx::KeyType Constant Group Referencepublished

determines the type of a key. More...

## Variables
const long | PRIMARY = 1
| indicates that the key is the primary key of a table. More...
const long | UNIQUE = 2
| indicates that the key is unique, NULL values are allowed. More...
const long | FOREIGN = 3
| indicates that the key is a foreign key of a table. More...

## Detailed Description

determines the type of a key.

Developers Guide
  Database Access - Key Service

## Variable Documentation

## ◆ FOREIGN

const long FOREIGN = 3

indicates that the key is a foreign key of a table.

## ◆ PRIMARY

const long PRIMARY = 1

indicates that the key is the primary key of a table.

## ◆ UNIQUE

const long UNIQUE = 2

indicates that the key is unique, NULL values are allowed.